Merge lp:~saviq/unity8/trusty-split-common into lp:unity8/trusty

Proposed by Michał Sawicz on 2014-05-02
Status: Work in progress
Proposed branch: lp:~saviq/unity8/trusty-split-common
Merge into: lp:unity8/trusty
Diff against target: 210 lines (+48/-30)
6 files modified
debian/changelog (+6/-0)
debian/control (+34/-22)
debian/unity8-common.install (+5/-0)
debian/unity8-fake-env.install (+1/-1)
debian/unity8-private.install (+1/-1)
debian/unity8.install (+1/-6)
To merge this branch: bzr merge lp:~saviq/unity8/trusty-split-common
Reviewer Review Type Date Requested Status
Unity Team 2014-05-02 Pending
Review via email: mp+218071@code.launchpad.net

Commit message

SRU trunk r864: Split out unity8-common package, also wrap-and-sort.

To post a comment you must log in.

Unmerged revisions

854. By Michał Sawicz on 2014-05-02

SRU trunk r864: Split out unity8-common package

Preview Diff

[H/L] Next/Prev Comment, [J/K] Next/Prev File, [N/P] Next/Prev Hunk
1=== modified file 'debian/changelog'
2--- debian/changelog 2014-04-16 13:45:01 +0000
3+++ debian/changelog 2014-05-02 13:23:49 +0000
4@@ -1,3 +1,9 @@
5+unity8 (7.86-0ubuntu1) UNRELEASED; urgency=medium
6+
7+ * SRU from trunk r864: Split out unity8-common package
8+
9+ -- Michał Sawicz <michal.sawicz@canonical.com> Fri, 02 May 2014 15:11:48 +0200
10+
11 unity8 (7.85+14.04.20140416-0ubuntu1) trusty; urgency=low
12
13 [ Albert Astals ]
14
15=== modified file 'debian/control'
16--- debian/control 2014-04-09 14:51:09 +0000
17+++ debian/control 2014-05-02 13:23:49 +0000
18@@ -11,34 +11,34 @@
19 libgl1-mesa-dev[!armhf] | libgl-dev[!armhf],
20 libgl1-mesa-dri,
21 libgles2-mesa-dev[armhf],
22+ libglib2.0-dev,
23 libgsettings-qt-dev,
24 libhud-client2-dev,
25 libpulse-dev,
26 libqmenumodel-dev (>= 0.2.7),
27+ libqt5xmlpatterns5-dev,
28 libunity-api-dev (>= 7.80.6),
29 libunity-mir-dev,
30 libusermetricsoutput1-dev,
31 libxcb1-dev,
32- libglib2.0-dev,
33 pkg-config,
34- python:any (>= 2.7),
35 python-setuptools,
36 python3-all:any,
37 python3-setuptools,
38+ python:any (>= 2.7),
39 qt5-default,
40 qtbase5-dev,
41 qtbase5-dev-tools,
42 qtbase5-private-dev,
43 qtdeclarative5-dev,
44 qtdeclarative5-dev-tools,
45+ qtdeclarative5-private-dev,
46 qtdeclarative5-qtmultimedia-plugin,
47- qtdeclarative5-private-dev,
48 qtdeclarative5-qtquick2-plugin,
49 qtdeclarative5-test-plugin,
50 qtdeclarative5-ubuntu-settings-components,
51 qtdeclarative5-ubuntu-ui-toolkit-plugin,
52 qtdeclarative5-xmllistmodel-plugin,
53- libqt5xmlpatterns5-dev,
54 ttf-ubuntu-font-family,
55 Standards-Version: 3.9.4
56 Homepage: http://launchpad.net/unity
57@@ -60,7 +60,8 @@
58
59 Package: unity-scope-tool
60 Architecture: any
61-Depends: unity8 (= ${binary:Version}),
62+Depends: unity8-common (= ${source:Version}),
63+ unity8-private (= ${binary:Version}),
64 ${misc:Depends},
65 ${shlibs:Depends},
66 Description: Development tool for Unity scopes
67@@ -71,27 +72,18 @@
68 Architecture: any
69 Provides: indicator-renderer,
70 Depends: gsettings-desktop-schemas,
71+ libcap2-bin,
72 libglib2.0-bin,
73 libunity-mir1,
74 qmenumodel-qml (>= 0.2.7),
75 qtdeclarative5-dee-plugin,
76 qtdeclarative5-gsettings1.0,
77 qtdeclarative5-ubuntu-settings-components,
78- qtdeclarative5-ubuntu-thumbnailer0.1 | ubuntu-thumbnailer-impl,
79- ubuntu-thumbnailer-impl-0,
80- qtdeclarative5-ubuntu-ui-toolkit-plugin,
81- qtdeclarative5-unity-notifications-plugin | unity-notifications-impl,
82 qtdeclarative5-xmllistmodel-plugin,
83- unity-application-impl-2,
84 unity-launcher-impl-3,
85- unity-notifications-impl-2,
86- unity8-fake-env | unity-application-impl,
87+ unity8-common (= ${source:Version}),
88 unity8-private (= ${binary:Version}),
89 unity8-private | unity-launcher-impl,
90- unity-plugin-scopes | unity-scopes-impl,
91- unity-scopes-impl-0,
92-# for setcap:
93- libcap2-bin,
94 ${misc:Depends},
95 ${shlibs:Depends},
96 Recommends: unity-scope-click,
97@@ -99,10 +91,30 @@
98 unity-scope-scopes,
99 Breaks: indicator-network (<< 0.5.1),
100 ubuntu-touch-session (<< 0.107),
101-Replaces: ubuntu-touch-session (<< 0.82~)
102+Replaces: ubuntu-touch-session (<< 0.82~),
103 Description: Unity 8 shell
104 The Unity 8 shell is the primary user interface for Ubuntu devices.
105
106+Package: unity8-common
107+Architecture: all
108+Depends: qtdeclarative5-ubuntu-thumbnailer0.1 | ubuntu-thumbnailer-impl,
109+ qtdeclarative5-ubuntu-ui-toolkit-plugin,
110+ qtdeclarative5-unity-notifications-plugin | unity-notifications-impl,
111+ ubuntu-thumbnailer-impl-0,
112+ unity-application-impl-2,
113+ unity-notifications-impl-2,
114+ unity-plugin-scopes | unity-scopes-impl,
115+ unity-scopes-impl-0,
116+ unity8-fake-env | unity-application-impl,
117+ ${misc:Depends},
118+Breaks: unity8 (<< 7.86),
119+Replaces: unity8 (<< 7.86),
120+Description: Unity 8 shell (common files)
121+ The Unity 8 shell is the primary user interface for Ubuntu devices.
122+ .
123+ This package contains the QML, graphics and locale files shared between
124+ unity8 and unity-scope-tool.
125+
126 Package: unity8-autopilot
127 Architecture: all
128 Depends: gir1.2-glib-2.0,
129@@ -119,12 +131,12 @@
130 python3-fixtures,
131 python3-gi,
132 ubuntu-ui-toolkit-autopilot,
133- unity8 (>= ${source:Version}),
134- unity8-fake-env (>= ${source:Version}),
135+ unity8 (= ${source:Version}),
136+ unity8-fake-env (= ${source:Version}),
137 url-dispatcher-tools,
138 ${misc:Depends},
139+ ${python3:Depends},
140 ${python:Depends},
141- ${python3:Depends},
142 ${shlibs:Depends},
143 Description: Test package for Unity 8 shell
144 Autopilot tests for the unity8 package
145@@ -146,9 +158,9 @@
146 Multi-Arch: same
147 Pre-Depends: ${misc:Pre-Depends},
148 Depends: gsettings-ubuntu-schemas,
149- ${misc:Depends},
150- ${shlibs:Depends},
151 libunity-core-6.0-9,
152+ ${misc:Depends},
153+ ${shlibs:Depends},
154 Provides: unity-launcher-impl,
155 unity-launcher-impl-3,
156 Description: Unity 8 private libs
157
158=== added file 'debian/unity8-common.install'
159--- debian/unity8-common.install 1970-01-01 00:00:00 +0000
160+++ debian/unity8-common.install 2014-05-02 13:23:49 +0000
161@@ -0,0 +1,5 @@
162+usr/share/locale
163+usr/share/unity8/Components
164+usr/share/unity8/Dash
165+usr/share/unity8/Notifications
166+usr/share/unity8/graphics
167
168=== modified file 'debian/unity8-fake-env.install'
169--- debian/unity8-fake-env.install 2014-04-02 11:32:41 +0000
170+++ debian/unity8-fake-env.install 2014-05-02 13:23:49 +0000
171@@ -1,4 +1,4 @@
172+usr/lib/*/unity8/qml/mocks
173 usr/lib/*/unity8/qml/nonmirplugins
174-usr/lib/*/unity8/qml/mocks
175 usr/lib/*/unity8/qml/scopefakes
176 usr/share/unity8/mocks
177
178=== modified file 'debian/unity8-private.install'
179--- debian/unity8-private.install 2013-12-12 16:45:35 +0000
180+++ debian/unity8-private.install 2014-05-02 13:23:49 +0000
181@@ -1,7 +1,7 @@
182 usr/lib/*/unity8/qml/AccountsService
183+usr/lib/*/unity8/qml/DashViews
184 usr/lib/*/unity8/qml/HudClient
185 usr/lib/*/unity8/qml/LightDM
186-usr/lib/*/unity8/qml/DashViews
187 usr/lib/*/unity8/qml/Powerd
188 usr/lib/*/unity8/qml/SessionBroadcast
189 usr/lib/*/unity8/qml/Ubuntu
190
191=== modified file 'debian/unity8.install'
192--- debian/unity8.install 2014-04-10 10:02:31 +0000
193+++ debian/unity8.install 2014-05-02 13:23:49 +0000
194@@ -1,15 +1,10 @@
195+data/unity8.conf usr/share/upstart/sessions/
196 usr/bin/unity8
197 usr/share/applications/unity8.desktop
198-usr/share/locale
199 usr/share/unity8/Bottombar
200-usr/share/unity8/Components
201-usr/share/unity8/Dash
202 usr/share/unity8/Greeter
203 usr/share/unity8/Hud
204 usr/share/unity8/Launcher
205-usr/share/unity8/Notifications
206 usr/share/unity8/Panel
207 usr/share/unity8/Shell.qml
208 usr/share/unity8/Stages
209-usr/share/unity8/graphics
210-data/unity8.conf usr/share/upstart/sessions/

Subscribers

People subscribed via source and target branches

to all changes: